Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Authentication
  • Builds and Deployments
  • Capabilities
  • Content Security Policy
  • Dashboard
  • Deprecated
  • Jira Integration
  • Markup
  • Mirroring (Mirror)
  • Mirroring (Upstream)
  • Permission Management
  • Project
  • Pull Requests
  • Repository
  • SAML certificate configuration
  • Security
  • System Maintenance
  • Other operations
Server
Bitbucket Data Center / Reference / REST API

Jira Integration

Postman Collection
OpenAPI
POST

Create Jira Issue

Create a Jira issue and associate it with a comment on a pull request.

This resource can only be used with comments on a pull request. Attempting to call this resource with a different type of comment (for example, a comment on a commit) will result in an error.

The authenticated user must have REPO_READ permission for the repository containing the comment to call this resource.

The JSON structure for the create issue format is specified by Jira's REST v2 API.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

commentId

string

Required

Query parameters

applicationId

string

Request bodyapplication/json

A String representation of the JSON format Jira create issue request see: Jira REST API

string

Responses

The created Jira issue key and the associated comment ID

application/json;charset=UTF-8

RestCommentJiraIssue
POST/jira/latest/comments/{commentId}/issues
1 2 3 4 5 curl --request POST \ --url 'http://{baseurl}/rest/jira/latest/comments/{commentId}/issues' \ --header 'Accept: application/json;charset=UTF-8' \ --header 'Content-Type: application/json' \ --data '"<string>"'
GET

Get changesets for issue key

Retrieve a page of changesets associated with the given issue key.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

issueKey

string

Required

Query parameters

maxChanges

string

start

number

limit

number

Responses

A page of detailed changesets

application/json;charset=UTF-8

object
GET/jira/latest/issues/{issueKey}/commits
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/jira/latest/issues/{issueKey}/commits' \ --header 'Accept: application/json;charset=UTF-8'
GET

Retrieves the enchanced primary entitylink

The authenticated user must have PROJECT_READ permission for the project having the primary enhanced entitylink.

Forge and OAuth2 apps cannot access this REST resource.

projectKey

string

Required

The primary enhanced entitylink.

application/json;charset=UTF-8

RestEnhancedEntityLink
GET/jira/latest/projects/{projectKey}/primary-enhanced-entitylink
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/jira/latest/projects/{projectKey}/primary-enhanced-entitylink' \ --header 'Accept: application/json;charset=UTF-8'
GET

Get issues for a pull request

Retrieves Jira issue keys that are associated with the commits in the specified pull request. The number of commits checked for issues is limited to a default of 100.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

projectKey

string

Required
pullRequestId

string

Required
repositorySlug

string

Required

Responses

A list of Jira issues keys for the pull request

application/json;charset=UTF-8

array<RestJiraIssue>

GET/jira/latest/projects/{projectKey}/repos/{repositorySlug}/pull-requests/{pullRequestId}/issues
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/jira/latest/projects/{projectKey}/repos/{repositorySlug}/pull-requests/{pullRequestId}/issues' \ --header 'Accept: application/json;charset=UTF-8'
POST

Start a Jira development information backfill sync

Starts an asynchronous repository data backfill to the provided Jira sites. The backfilled data will be available when viewing issues in Jira. Providing a list of repositories or Jira site IDs are optional. If no repositories are provided then all repositories will be backfilled. If no Jira site IDs are provided then data will be sent to all currently configured Jira sites.

The user must have the global SYS_ADMIN permission.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

Jira development information backfill sync request

fromDate

integer

jiraSiteIds

array<integer>

Required
repositories

array<RestRepositorySelector>

Required
toDate

integer

Responses

The backfill task successfully started.

application/json;charset=UTF-8

any

POST/jira-dev/latest/devinfo-backfill
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 curl --request POST \ --url 'http://{baseurl}/rest/jira-dev/latest/devinfo-backfill' \ --header 'Accept: application/json;charset=UTF-8' \ --header 'Content-Type: application/json' \ --data '{ "fromDate": 1769123493000, "jiraSiteIds": [ 1 ], "repositories": [ { "projectKey": "PRJ", "slug": "my-repo" } ], "toDate": 1770653493000 }'
DEL

Stop a Jira development information backfill sync

Interrupts an asynchronous repository data backfill if it is running. There could be a delay before processing stops while signal propagates to asynchronous tasks.

The user must have the global SYS_ADMIN permission.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

The backfill task successfully stopped, or no backfill was in progress.

DEL/jira-dev/latest/devinfo-backfill
1 2 curl --request DELETE \ --url 'http://{baseurl}/rest/jira-dev/latest/devinfo-backfill'
GET

Get repository backfill tasks that failed and their associated errors

Get the list of repositories that failed the latest backfill task and their associated errors

The user must have the global SYS_ADMIN permission.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

The current report of repositories that have failed to backfill.

application/json;charset=UTF-8

RestJiraBackfillReport
GET/jira-dev/latest/devinfo-backfill/report
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/jira-dev/latest/devinfo-backfill/report' \ --header 'Accept: application/json;charset=UTF-8'
GET

Get Jira development information backfill status

Returns the status of the Jira development information backfill task, either the one currently running or the most recently completed. The response shows aggregated counts per status for repositories to sync. Possible statuses: NOT_STARTED, QUEUED, SYNCING, SYNCED, CANCELED and ERROR.

The user must have the global SYS_ADMIN permission.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

The current status of the Jira development information backfill task.

application/json;charset=UTF-8

RestJiraBackfillStatus
GET/jira-dev/latest/devinfo-backfill/status
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/jira-dev/latest/devinfo-backfill/status' \ --header 'Accept: application/json;charset=UTF-8'

Rate this page: